Assignments Assignments

Public Member Functions | Public Attributes | Private Attributes | List of all members
Ray::Material Class Reference

`#include <scene.h>`

## Public Member Functions
| Material (void)
void | drawOpenGL (GLSLProgram *glslProgram) const

## Public Attributes
Util::Point3D | ambient
Util::Point3D | diffuse
Util::Point3D | specular
Util::Point3D | emissive
Util::Point3D | transparent
double | specularFallOff
double | ir
const Texture * | tex
std::string | foo

## Private Attributes
friend | SceneGeometry
friend | Scene
int | _texIndex

## Detailed Description

This class stores surface material properties.

## Constructor & Destructor Documentation

## ◆ Material()

Material::Material | ( | void |  | ) |

The default constructor

## Member Function Documentation

## ◆ drawOpenGL()

void Material::drawOpenGL | ( | GLSLProgram * | glslProgram | ) | const

This method calls the OpenGL commands for setting up the material.

## Member Data Documentation

## ◆ _texIndex

int Ray::Material::_texIndex
| private

The index of the texture associated with the material

## ◆ ambient

Util::Point3D Ray::Material::ambient

The amount of ambient light the surface transmits

## ◆ diffuse

Util::Point3D Ray::Material::diffuse

The amount of diffuse light the surface transmits

## ◆ emissive

Util::Point3D Ray::Material::emissive

The amount of light the surface emits

## ◆ foo

std::string Ray::Material::foo

A string for storing additional material parameters specified by the user

## ◆ ir

double Ray::Material::ir

The index of refraction of the material

## ◆ Scene

friend Ray::Material::Scene
| private

## ◆ SceneGeometry

friend Ray::Material::SceneGeometry
| private

## ◆ specular

Util::Point3D Ray::Material::specular

The amount of specular light the surface transmits

## ◆ specularFallOff

double Ray::Material::specularFallOff

The coefficient for the specular fall-off of the material

## ◆ tex

const Texture* Ray::Material::tex

A pointer to the texture associated with a surface

## ◆ transparent

Util::Point3D Ray::Material::transparent

The amount of transparent light the surface transmits

The documentation for this class was generated from the following files:

- Assignments/Ray/scene.h
- Assignments/Ray/scene.cpp
- Assignments/Ray/scene.todo.cpp